export class Mutations {
  static updateUser = `
    mutation updateUser($id: ID, $xp: Int, $levelId: ID) {
      user {
        updateUser(input: { id: $id, xp: $xp, levelId: $levelId }) {
          id
          name
          xp
          level {
            id
            name
          }
        }
      }
    }
  `;

  static createAutoRole = `
    mutation updateAutoRole($serverId: ID, $channelId: String, $messageId: String) {
      autoRole {
        createAutoRole(input: { serverId: $serverId, channelId: $channelId, messageId: $messageId }) {
          id
          channelId
          channelName
          messageId
        }
      }
    }
  `;

  static deleteAutoRole = `
    mutation updateAutoRole($id: ID) {
      autoRole {
        deleteAutoRole(id: $id) {
          id
          channelId
          channelName
          messageId
        }
      }
    }
  `;
}
